%% ------  Lezione7, 21 novembre 2016 ------ 
% Introduzione a prtools

clear all; % cancella il contenuto di memoria
close all; % cancella tutte le figure presenti nella sessione
clc; % pulisce lo schermo

% Assicurarsi che prtools sia nel path (deve apparire con tutte
% le sottocartelle dopo aver dato il comando pathtool)

load('dataset.mat');

% Costruisco le strutture "prdataset" per i dati di train e quelli di test
Dtr = prdataset(data_train, labels_train);
Dte = prdataset(data_test, labels_test);

% Mapping: addestro un insieme di classificatori 
% sui dati di train
W = Dtr*{knnc, svc, svc([], 'r'), svc([], 'r', [], 100)};

% Applico il mapping e classifico i dati di test
testc(Dte*W)

% Plot dei risultati
scatterd(Dtr), plotc(W(1));


